package hu.index.masodik;

import android.text.Html;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by Rendszergazda on 2013.06.13..
 */
public class CikkAdapter extends BaseAdapter{

    private List<Cikk> items = new ArrayList<Cikk>();
    private ViewHolder mViewHolder;

    public CikkAdapter(List<Cikk> items){
        this.items = items;
    }

    @Override
    public int getCount() {
        return items.size();
    }

    @Override
    public Cikk getItem(int i) {
        return items.get(i);
    }

    @Override
    public long getItemId(int i) {
        return i;
    }

    @Override
    public View getView(int i, View view, ViewGroup viewGroup) {

        Cikk cikk = items.get(i);

        View listitem = view;

        if(listitem == null){
            listitem = View.inflate(viewGroup.getContext(), R.layout.listitem_news, null);
            mViewHolder = new ViewHolder();
            mViewHolder.title = (TextView) listitem.findViewById(R.id.title);
            mViewHolder.lead = (TextView)listitem.findViewById(R.id.lead);
            listitem.setTag(mViewHolder);
        }else{
            mViewHolder = (ViewHolder) listitem.getTag();
        }

        mViewHolder.title.setText(Html.fromHtml("<u>Cime:</u> " + cikk.getTitle()), TextView.BufferType.SPANNABLE);
        mViewHolder.lead.setText(cikk.getLead());

        return listitem;

    }

    private class ViewHolder{
        TextView title;
        TextView lead;
    }
}
